package eu.eudat.managers;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import eu.eudat.utilities.builders.XmlBuilder;

public class UserManager {
	public static eu.eudat.models.user.composite.DatasetProfile generateDatasetProfileModel(eu.eudat.entities.DatasetProfile profile){
		Document viewStyleDoc = XmlBuilder.fromXml(profile.getViewstyle().getDefinition());
		Element root = (Element)viewStyleDoc.getDocumentElement();
		eu.eudat.entities.xmlmodels.viewstyledefinition.ViewStyleModel viewstyle= new eu.eudat.entities.xmlmodels.viewstyledefinition.ViewStyleModel().fromXml(root);
		
		Document profileDoc = XmlBuilder.fromXml(profile.getDefinition());
		root = (Element)profileDoc.getDocumentElement();
		eu.eudat.entities.xmlmodels.modeldefinition.FieldGroup fieldGroup = new eu.eudat.entities.xmlmodels.modeldefinition.FieldGroup().fromXml(root);

		eu.eudat.models.user.composite.DatasetProfile datasetprofile = new eu.eudat.models.user.composite.DatasetProfile();
		datasetprofile.buildProfile(fieldGroup, viewstyle);
		
		return datasetprofile;
	}
}
