package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.DMP;
import eu.eudat.entities.responses.IDLabelPair;
import eu.eudat.models.dmp.DataManagementPlanTableRequest;
import org.springframework.stereotype.Service;

public interface DMPDao extends Dao<DMP, UUID> {

	public List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();
	
	List<DMP> getDMPsOfUser(String userID);
	
	public List<DMP> getWithCriteria(DataManagementPlanTableRequest dataManagementPlanTableRequest);

}