package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.DatasetProfile;
import eu.eudat.entities.responses.IDLabelPair;
import org.springframework.stereotype.Service;

public interface DatasetProfileDao extends Dao<DatasetProfile, UUID> {

	public List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

	
}